<?php

/*
* Busqueda - Busqueda para cubrir un puesto de trabajo
* @author Claudio Vidal <claudio.vidal@kaver-consulting.com>
*/

class Busqueda {
	
	/*
	* Codigo de referencia de la busqueda
	* @var string
	*/
	protected $referencia;
	/*
	* Fecha de la busqueda
	* @var date
	*/
	protected $fecha;
	/*
	* Titulo de la busqueda
	* @var string
	*/	
	protected $titulo;
	/*
	* Requisitos que debe cumplir el candidato - Es la descripcion larga de la busqueda
	* @var string
	*/		
	protected $requisitos;
	/*
	* Descripcion corta de la busqueda - Esta descripcion aparece en la primer pantalla
	* @var string
	*/		
	protected $descripcionCorta;
	/*
	* Zona de trabajo de la busqueda
	* @var string
	*/		
	protected $zonaTrabajo;
	/*
	* Tecnologias excluyentes que el candidato debe dominar
	* @var string
	*/	
	protected $tecnologiasExcluyentes;
	/*
	* Tecnologias deseables que seria conveniente que el candidato domine
	* @var string
	*/	
	protected $tecnologiasDeseables;
	/*
	* Beneficios ofrecidos para el puesto
	* @var string
	*/		
	protected $beneficiosOfrecidos;
	/*
	* Indica si la busqueda esta vigente
	* @var boolean
	*/		
	protected $activa;
	
	/*
	* Seter 
	* @param string referencia codigo que identifica a la busqueda
	*/
	public function setReferencia($var_referencia){
		$this->referencia = $var_referencia;
	}
	
	public function setFecha($var_fecha){
		$this->fecha = $var_fecha;
	}
	
	public function setTitulo($var_titulo){
		$this->titulo = $var_titulo;
	}
	
	public function setTecnologiasExcluyentes($var_tecnologias_excluyentes){
		$this->tecnologiasExcluyentes = $var_tecnologias_excluyentes;
	}	

	public function setTecnologiasDeseables ($var_tecnologias_deseables){
		$this->tecnologiasDeseables = $var_tecnologias_deseables;
	}
		
	public function setRequisitos($var_requisitos){		// cuerpo de la busqueda (descripcion larga)
		$this->requisitos = $var_requisitos;
	}
	
	public function setDescripcionCorta($var_descripcion_corta){
		$this->descripcionCorta = $var_descripcion_corta;
	}	
	
	public function setZonaTrabajo($var_zonaTrabajo){
		$this->zonaTrabajo = $var_zonaTrabajo;
	}
	
	public function setBeneficiosOfrecidos($var_beneficiosOfrecidos){
		$this->beneficiosOfrecidos = $var_beneficiosOfrecidos;
	}
	
	public function setActiva($var_activa){
		$this->activa = $var_activa;
	}
	
    /*
    * geter
    * @return referencia codigo que identifica a la busqueda
	*/
	public function getReferencia(){
		return $this->referencia;
	}
	
	public function getFecha(){
		return $this->fecha;
	}
	
	public function getTitulo(){
		return $this->titulo;
	}

	public function getTecnologiasExcluyentes(){
		return $this->tecnologiasExcluyentes;
	}
	
	public function getTecnologiasDeseables(){
		return $this->tecnologiasDeseables;
	}
		
	public function getRequisitos(){
		return $this->requisitos;
	}
	
	public function getDescripcionCorta(){
		return $this->descripcionCorta;
	}	
	
	public function getZonaTrabajo(){
		return $this->zonaTrabajo;
	}
	
	public function getBeneficiosOfrecidos(){
		return $this->beneficiosOfrecidos;
	}
	
	public function getActiva(){
		return $this->activa;
	}
	
}

/*
* Postulacion - Clase con los datos de un postulante
* @author Claudio Vidal <claudio.vidal@kaver-consulting.com>
*/

class Postulacion {

	/*
	* Identificador de la postulacion
	* @var int
	*/
    protected $idPostulacion;
	/*
	* Fecha de la postulacion
	* @var date
	*/    
    protected $fecha;
	/*
	* Nombre y apellido del postulante
	* @var string
	*/    
    protected $nombreApellido;
	/*
	* Email del postulante
	* @var string
	*/    
    protected $email;
	/*
	* Mensaje que escribe el postulante
	* @var string
	*/    
    protected $mensaje;
	/*
	* Ruta del archivo con del curriculum
	* @var string
	*/    
    protected $curriculum;
	/*
	* Codigo de referencia de la busqueda
	* @var string
	*/
    protected $referencia;
    /*
    * Olvidar 
    * @var int
    */
    protected $olvidar;

    /*
    * Seter Identificador de la postulacion
    * @param int id de postulacion
    */ 
    public function setIdPostulacion($var_idPostulacion){
        $this->idPostulacion = $var_idPostulacion;
    }
        
    public function setFecha($var_fecha){
        $this->fecha = $var_fecha;
    }
    
    public function setNombreApellido($var_nombreApellido){
        $this->nombreApellido = $var_nombreApellido;
    }
    
    public function setEmail($var_email){
        $this->email = $var_email;
    }
    
    public function setMensaje($var_mensaje){
        $this->mensaje = $var_mensaje;
    }
    
    public function setCurriculum($var_curriculum){
        $this->curriculum = $var_curriculum;
    }   

    public function setReferencia($var_referencia){
        $this->referencia = $var_referencia;
    }
    
    public function setOlvidar($var_olvidar){
        $this->olvidar = $var_olvidar;
    } 

    /*
    * Geter Identificador de la postulacion
    * @return int id de postulacion
    */
    public function getIdPostulacion(){
        return $this->idPostulacion;
    }
    /*
    * Geter fecha de la postulacion
    * @return date
    */
    public function getFecha(){
        return $this->fecha;
    }
    /*
    * Geter Nombre y apellido del postulante
    * @return string
    */
    public function getNombreApellido(){
        return $this->nombreApellido;
    }

    public function getEmail(){
        return $this->email;
    }

    public function getMensaje(){
        return $this->mensaje;
    }

    public function getCurriculum(){
        return $this->curriculum;
    }
    
    public function getReferencia(){
        return $this->referencia;
    }
    
    public function getOlvidar(){
        return $this->olvidar;
    }

}

